Одна задача в PDF (печатный отчёт)
GET
/export/{task_id}/pdf
const url = 'https://passports.dev.techcon-ml.ru/export/example/pdf';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://passports.dev.techcon-ml.ru/export/example/pdf \ --header 'Authorization: Bearer <token>'Генерирует печатный PDF-отчёт по одной задаче. Имя файла: Report_<имя задачи>.pdf
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»task_id
required
Task Id
string
UUID задачи
Responses
Заголовок раздела «Responses»PDF-файл Report_<имя>.pdf
Examplegenerated
exampleНе авторизован или токен истёк
Media typeapplication/json
ApiErrorResponse
object
ok
Ok
boolean
error
required
ApiErrorDetail
object
code
required
Code
Машиночитаемый код ошибки (UPPER_SNAKE_CASE)
string
message
required
Message
Человекочитаемое описание ошибки
string
Example
{ "ok": false}Задача не найдена
Media typeapplication/json
ApiErrorResponse
object
ok
Ok
boolean
error
required
ApiErrorDetail
object
code
required
Code
Машиночитаемый код ошибки (UPPER_SNAKE_CASE)
string
message
required
Message
Человекочитаемое описание ошибки
string
Example
{ "ok": false}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}